This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### shorten()
Examples |
    String[] sa1 = { "OH ", "NY ", "CA "};
    String[] sa2 = shorten(sa1);
    println(sa1);  // 'sa1' still contains OH, NY, CA
    println(sa2);  // 'sa2' now contains OH, NY
Description | Decreases an array by one element and returns the shortened array. When using an array of objects, the data returned from the function must be cast to the object array's data type. For example: SomeClass[] items = (SomeClass[]) shorten(originalArray)
Syntax |
    shorten(list)
Parameters |
list | Object, String[], float[], int[], char[], byte[], or boolean[]: array to shorten
Returns | boolean[], byte[], char[], int[], float[], String[], or Object
Related | append() expand()

Updated on October 26, 2013 08:58:31pm PDT